<script>
    import Chat from 'components/Icons/Chat.svelte'
    import Name from 'components/User/Name.svelte'
    import Avatar from 'components/User/Avatar.svelte'
    import Username from 'components/User/Username.svelte'

    export let answers_count
    export let author
    export let content
    export let created_at
    export let created_at_full
    export let parent
    export let focus = false
    export let showParentLink = true
</script>

{#if showParentLink && parent}
    <a href="post/{parent.id}" class="answer_to-link">
        <Chat size="small" />
        {'En réponse à ' + parent.author.name}
    </a>
{/if}
<main>
    {#if !focus}
        <a href="/@{author.username}" class="author-avatar">
            <Avatar src={author.avatar} name={author.name} />
        </a>
    {/if}
    <div class="post-body">
        <header class:focus>
            <a href="/@{author.username}">
                {#if !focus}
                    <Name>
                        {author.name}
                        <span slot="username">@{author.username}</span>
                    </Name>
                {:else}
                    <Avatar src={author.avatar} name={author.name} />
                    <div>
                        <Name>{author.name}</Name>
                        <Username>@{author.username}</Username>
                    </div>
                {/if}
            </a>
            {#if !focus}<time>• {created_at}</time>{/if}
        </header>
        <p class="content">{content}</p>
        {#if focus}<time>{created_at_full}</time>{/if}
        <footer>
            <Chat size="small" pointer />
            <span>
                <p>{answers_count ?? 0}</p>
                {answers_count > 1 ? 'Réponses' : 'Réponse'}
            </span>
        </footer>
    </div>
</main>

<style lang="postcss">
    .answer_to-link {
        @apply relative flex items-center gap-x-1 text-teal-600 font-normal -mt-2 mb-2 ml-7 truncate z-20;
    }

    main {
        @apply flex gap-x-2;

        .author-avatar {
            @apply flex-shrink-0;
        }

        .post-body {
            @apply min-w-0;

            header {
                @apply relative flex items-center gap-x-1;

                a {
                    @apply min-w-0 overflow-hidden;
                }

                &.focus {
                    @apply block mb-3;

                    a {
                        @apply flex items-center gap-x-2;
                    }
                }

                time {
                    @apply flex-none text-teal-600 overflow-hidden whitespace-nowrap;
                }
            }

            .content {
                @apply text-blueGray-800 mb-3;

                & ~ time {
                    @apply block mb-1;
                }
            }

            footer {
                @apply flex items-center gap-x-1 text-blueGray-300;

                span {
                    @apply flex-1 flex items-center gap-x-1 text-blueGray-600;

                    p {
                        @apply font-medium;
                    }
                }
            }
        }
    }
</style>
